Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class WorldWindowGLAutoDrawable

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.WorldWindowImpl
                  gov.nasa.worldwind.WorldWindowGLAutoDrawable

All Implemented Interfaces:
  AVList, WWObject, PropertyChangeListener, EventListener, GLEventListener

    public class WorldWindowGLAutoDrawable

extends WorldWindowImpl
implements GLEventListener

A non-platform specific `WorldWindow` class. This class can be aggregated into platform-specific classes to provide the core functionality of World Wind.

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`WorldWindowGLAutoDrawable(GLAutoDrawable drawable)` Construct a new `WorldWindowGLCanvase` for a specified `GLDrawable`.

Method Summary
`void` | `addRenderingListener(RenderingListener listener)`
`void` | `display(GLAutoDrawable glAutoDrawable)` See `GLEventListener.display(GLAutoDrawable)`.
`void` | `displayChanged(GLAutoDrawable glAutoDrawable, boolean b, boolean b1)` See `GLEventListener.displayChanged(GLAutoDrawable,boolean,boolean)`.
`void` | `init(GLAutoDrawable glAutoDrawable)` See `GLEventListener.init(GLAutoDrawable)`.
`PickedObjectList` | `pick(Point pickPoint)`
`void` | `propertyChange(PropertyChangeEvent propertyChangeEvent)` The property change listener for this instance.
`void` | `removeRenderingListener(RenderingListener listener)`
`void` | `reshape(GLAutoDrawable glAutoDrawable, int x, int y, int w, int h)` See `GLEventListener.reshape(GLAutoDrawable,int,int,int,int)`.

Methods inherited from class gov.nasa.worldwind.WorldWindowImpl
`getModel, getSceneController, getView, setModel, setModelAndView, setView`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Constructor Detail

### WorldWindowGLAutoDrawable

    public WorldWindowGLAutoDrawable(GLAutoDrawable drawable)

  Construct a new `WorldWindowGLCanvase` for a specified `GLDrawable`.

  Parameters:
    `drawable` - the drawable associated with the window.
  Throws:
    `IllegalArgumentException` - if `drawable` is `null`.

Method Detail

### addRenderingListener

    public void addRenderingListener(RenderingListener listener)

### display

    public void display(GLAutoDrawable glAutoDrawable)

  See `GLEventListener.display(GLAutoDrawable)`.

  Specified by:
    `display` in interface `GLEventListener`
  Parameters:
    `glAutoDrawable` - the drawable
  Throws:
    `IllegalStateException` - if no `SceneController` exists for this canvas

### displayChanged

    public void displayChanged(GLAutoDrawable glAutoDrawable,
                               boolean b,
                               boolean b1)

  See `GLEventListener.displayChanged(GLAutoDrawable,boolean,boolean)`.

  Specified by:
    `displayChanged` in interface `GLEventListener`
  Parameters:
    `glAutoDrawable` - the drawable

### init

    public void init(GLAutoDrawable glAutoDrawable)

  See `GLEventListener.init(GLAutoDrawable)`.

  Specified by:
    `init` in interface `GLEventListener`
  Parameters:
    `glAutoDrawable` - the drawable

### pick

    public PickedObjectList pick(Point pickPoint)

### propertyChange

    public void propertyChange(PropertyChangeEvent propertyChangeEvent)

  Description copied from class: `AVListImpl`
  The property change listener for this instance. Recieves property change notifications that this instance has registered with other proprty change notifiers.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Overrides:
    `propertyChange` in class `AVListImpl`
  Parameters:
    `propertyChangeEvent` - the event

### removeRenderingListener

    public void removeRenderingListener(RenderingListener listener)

### reshape

    public void reshape(GLAutoDrawable glAutoDrawable,
                        int x,
                        int y,
                        int w,
                        int h)

  See `GLEventListener.reshape(GLAutoDrawable,int,int,int,int)`.

  Specified by:
    `reshape` in interface `GLEventListener`
  Parameters:
    `glAutoDrawable` - the drawable

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD